[V0,C0,L0,T0] = textread('ilyasheldondiode.txt','%f %f %f %f');
[V1,C1,L1,T1] = textread('ilyasheldondiode2.txt','%f %f %f %f');
[V2,C2,L2,T2] = textread('ilyasheldondiode3.txt','%f %f %f %f');
data = sortrows([vertcat(V0,V1,V2), vertcat(C0,C1,C2)],1);
V = data(:,1);
C = data(:,2);
x0 = 1e-4;
options = optimset('Largescale','off');
[param,renorm] = lsqnonlin(@fitExpfunc,x0,[],[],options,V,C);
hold off
plot(V,param*(exp(39*V)-1),'r')
hold on
plot(V,C,'b')
hold off